package com.inkasso.factoring.invoicemanage.model.request;

import com.inkasso.factoring.common.entity.BaseSearch;

import java.util.List;

public class SearchBusiness extends BaseSearch {

    /**
     * 业务编号
     **/
    private String businessNo;
    /**
     * 企业名称
     **/
    private String fastSearch;

    /**
     * 业务状态（数据字典）ID
     **/
    private String status;
    /**
     * 发票类型（数据字典）ID
     **/
    private Long invoiceTypeId;
    /**
     * 权限可查询数据的所有id
     **/
    private List<Long> userIds;

    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    @Override
    public String getFastSearch() {
        return fastSearch;
    }

    @Override
    public void setFastSearch(String fastSearch) {
        this.fastSearch = fastSearch;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getInvoiceTypeId() {
        return invoiceTypeId;
    }

    public void setInvoiceTypeId(Long invoiceTypeId) {
        this.invoiceTypeId = invoiceTypeId;
    }

    public List<Long> getUserIds() {
        return userIds;
    }

    public void setUserIds(List<Long> userIds) {
        this.userIds = userIds;
    }
}
